Bug 861502 - (metrics) Review Request: metrics - Java library which gives you what your code does in production
Review Request: metrics - Java library which gives you what your code does in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Benton
Fedora Extras Quality Assurance
:
: 1040040 (view as bug list)
Depends On: 825347 861498 991624
Blocks: bigdata-review 1015460 1045556
  Show dependency treegraph
 
Reported: 2012-09-28 16:26 EDT by gil cattaneo
Modified: 2013-12-30 00:00 EST (History)
2 users (show)

See Also:
Fixed In Version: metrics-3.0.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-30 00:00:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
willb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-28 16:26:30 EDT
Spec URL: http://gil.fedorapeople.org/metrics.spec
SRPM URL: http://gil.fedorapeople.org/metrics-2.1.3-1.fc16.src.rpm
Description: Metrics is a Java library which gives you unparalleled insight
into what your code does in production.

Developed by Yammer to instrument their JVM-based back-end services,
Metrics provides a powerful toolkit of ways to measure the behavior
of critical components in your production environment.

With modules for common libraries like Jetty, Logback, Log4j,
Apache HttpClient, Ehcache, JDBI, Jersey and reporting back-ends like
Ganglia and Graphite, Metrics provides you with full-stack visibility.

For more information, please see the documentation.

This package provides the Metrics Core Library.
Fedora Account System Username: gil
Comment 2 Will Benton 2013-12-10 10:28:08 EST
*** Bug 1040040 has been marked as a duplicate of this bug. ***
Comment 3 Robert Rati 2013-12-13 15:23:16 EST
metrics 3.0.1 won't compile on jetty 9.1.0, which is the current version in rawhide.  When I checked I didn't see a newer release of metrics.
Comment 4 gil cattaneo 2013-12-13 17:00:57 EST
(In reply to Robert Rati from comment #3)
> metrics 3.0.1 won't compile on jetty 9.1.0, which is the current version in
> rawhide.  When I checked I didn't see a newer release of metrics.

build.log? is available?
Comment 5 Robert Rati 2013-12-16 09:06:50 EST
I don't have a build log, but firing up a scratch build in rawhide will get you the error.  The isDispatched method was removed completely, and there are 2 places in the jetty 9 module that call that method.
Comment 6 gil cattaneo 2013-12-16 16:00:10 EST
Spec URL: http://gil.fedorapeople.org/metrics.spec
SRPM URL: http://gil.fedorapeople.org/metrics-3.0.1-1.fc19.src.rpm

- disable jetty9 sub-module
Comment 7 Will Benton 2013-12-19 14:19:56 EST
Gil, please use smp_mflags to build the docs.  Otherwise, things look good!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
     Please use smp_mflags to build the docs.

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     (handled by maven)
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     Tests currently skipped due to missing test dependencies.  This should be fixed in the future but is not a blocker for an initial package.

[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: metrics-3.0.1-1.fc19.noarch.rpm
          metrics-annotation-3.0.1-1.fc19.noarch.rpm
          metrics-ehcache-3.0.1-1.fc19.noarch.rpm
          metrics-ganglia-3.0.1-1.fc19.noarch.rpm
          metrics-graphite-3.0.1-1.fc19.noarch.rpm
          metrics-healthchecks-3.0.1-1.fc19.noarch.rpm
          metrics-httpclient-3.0.1-1.fc19.noarch.rpm
          metrics-jdbi-3.0.1-1.fc19.noarch.rpm
          metrics-jersey-3.0.1-1.fc19.noarch.rpm
          metrics-json-3.0.1-1.fc19.noarch.rpm
          metrics-jvm-3.0.1-1.fc19.noarch.rpm
          metrics-log4j-3.0.1-1.fc19.noarch.rpm
          metrics-logback-3.0.1-1.fc19.noarch.rpm
          metrics-servlet-3.0.1-1.fc19.noarch.rpm
          metrics-servlets-3.0.1-1.fc19.noarch.rpm
          metrics-javadoc-3.0.1-1.fc19.noarch.rpm
          metrics-doc-3.0.1-1.fc19.noarch.rpm
          metrics-3.0.1-1.fc19.src.rpm
metrics-httpclient.noarch: W: spelling-error %description -l en_US durations -> duration, duration's, duration s
metrics-jdbi.noarch: W: spelling-error %description -l en_US durations -> duration, duration's, duration s
metrics-json.noarch: W: spelling-error %description -l en_US serializers -> serializes, serialize rs, serialize-rs
metrics-log4j.noarch: W: spelling-error %description -l en_US appender -> appended, append er, append-er
metrics-logback.noarch: W: spelling-error %description -l en_US appender -> appended, append er, append-er
18 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint metrics-ehcache metrics-json metrics-jvm metrics-servlet metrics-ganglia metrics-servlet 
s metrics-logback metrics-annotation metrics-jersey metrics-httpclient metrics metrics-javadoc metrics-graphite metr 
ics-jdbi metrics-healthchecks metrics-log4j metrics-doc
metrics-json.noarch: W: spelling-error %description -l en_US serializers -> serializes, serialize rs, serialize-rs
metrics-logback.noarch: W: spelling-error %description -l en_US appender -> appended, append er, append-er
metrics-httpclient.noarch: W: spelling-error %description -l en_US durations -> duration, duration's, duration s
metrics-jdbi.noarch: W: spelling-error %description -l en_US durations -> duration, duration's, duration s
metrics-log4j.noarch: W: spelling-error %description -l en_US appender -> appended, append er, append-er
17 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
metrics-ehcache (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(net.sf.ehcache:ehcache-core)
    mvn(org.slf4j:slf4j-api)

metrics-json (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(com.codahale.metrics:metrics-healthchecks)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(org.slf4j:slf4j-api)

metrics-jvm (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.slf4j:slf4j-api)

metrics-servlet (rpmlib, GLIBC filtered):
    glassfish-servlet-api
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.slf4j:slf4j-api)

metrics-ganglia (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(info.ganglia.gmetric4j:gmetric4j)
    mvn(org.slf4j:slf4j-api)

metrics-servlets (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(com.codahale.metrics:metrics-healthchecks)
    mvn(com.codahale.metrics:metrics-json)
    mvn(com.codahale.metrics:metrics-jvm)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(org.slf4j:slf4j-api)

metrics-logback (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(ch.qos.logback:logback-classic)
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.slf4j:slf4j-api)

metrics-annotation (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

metrics-jersey (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-annotation)
    mvn(com.codahale.metrics:metrics-core)
    mvn(com.sun.jersey:jersey-server)
    mvn(org.slf4j:slf4j-api)

metrics-httpclient (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.apache.httpcomponents:httpclient)
    mvn(org.slf4j:slf4j-api)

metrics (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

metrics-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

metrics-graphite (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.slf4j:slf4j-api)

metrics-jdbi (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(org.jdbi:jdbi)
    mvn(org.slf4j:slf4j-api)

metrics-healthchecks (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-jvm)
    mvn(org.slf4j:slf4j-api)

metrics-log4j (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.codahale.metrics:metrics-core)
    mvn(log4j:log4j)
    mvn(org.slf4j:slf4j-api)

metrics-doc (rpmlib, GLIBC filtered):



Provides
--------
metrics-ehcache:
    metrics-ehcache
    mvn(com.codahale.metrics:metrics-ehcache)
    osgi(com.codahale.metrics.ehcache)

metrics-json:
    metrics-json
    mvn(com.codahale.metrics:metrics-json)
    osgi(com.codahale.metrics.json)

metrics-jvm:
    metrics-jvm
    mvn(com.codahale.metrics:metrics-jvm)
    osgi(com.codahale.metrics.jvm)

metrics-servlet:
    metrics-servlet
    mvn(com.codahale.metrics:metrics-servlet)
    osgi(com.codahale.metrics.servlet)

metrics-ganglia:
    metrics-ganglia
    mvn(com.codahale.metrics:metrics-ganglia)
    osgi(com.codahale.metrics.ganglia)

metrics-servlets:
    metrics-servlets
    mvn(com.codahale.metrics:metrics-servlets)
    osgi(com.codahale.metrics.servlets)

metrics-logback:
    metrics-logback
    mvn(com.codahale.metrics:metrics-logback)
    osgi(com.codahale.metrics.logback)

metrics-annotation:
    metrics-annotation
    mvn(com.codahale.metrics:metrics-annotation)
    osgi(com.codahale.metrics.annotation)

metrics-jersey:
    metrics-jersey
    mvn(com.codahale.metrics:metrics-jersey)
    osgi(com.codahale.metrics.jersey)

metrics-httpclient:
    metrics-httpclient
    mvn(com.codahale.metrics:metrics-httpclient)
    osgi(com.codahale.metrics.httpclient)

metrics:
    metrics
    mvn(com.codahale.metrics:metrics-core)
    mvn(com.codahale.metrics:metrics-parent)
    osgi(com.codahale.metrics.core)

metrics-javadoc:
    metrics-javadoc

metrics-graphite:
    metrics-graphite
    mvn(com.codahale.metrics:metrics-graphite)
    osgi(com.codahale.metrics.graphite)

metrics-jdbi:
    metrics-jdbi
    mvn(com.codahale.metrics:metrics-jdbi)
    osgi(com.codahale.metrics.jdbi)

metrics-healthchecks:
    metrics-healthchecks
    mvn(com.codahale.metrics:metrics-healthchecks)
    osgi(com.codahale.metrics.healthchecks)

metrics-log4j:
    metrics-log4j
    mvn(com.codahale.metrics:metrics-log4j)
    osgi(com.codahale.metrics.log4j)

metrics-doc:
    metrics-doc



Source checksums
----------------
https://github.com/codahale/metrics/archive/v3.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7117c9e07f7da9089ffc8f6c69c93f35a726a09cd247e9d590827cfc60ac3d11
  CHECKSUM(SHA256) upstream package : 7117c9e07f7da9089ffc8f6c69c93f35a726a09cd247e9d590827cfc60ac3d11


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 861502
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 8 gil cattaneo 2013-12-19 15:23:44 EST
Thanks!

Please, set the *flags* ... Status

Spec URL: http://gil.fedorapeople.org/metrics.spec
SRPM URL: http://gil.fedorapeople.org/metrics-3.0.1-1.fc19.src.rpm

- use smp_mflags to build the docs
Comment 9 Will Benton 2013-12-19 15:28:44 EST
Thanks for making the changes, Gil.  Review granted.
Comment 10 gil cattaneo 2013-12-19 15:44:25 EST
Thanks!

New Package SCM Request
=======================
Package Name: metrics
Short Description: Java library which gives you what your code does in production
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 11 Gwyn Ciesla 2013-12-20 07:43:59 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-12-20 20:25:51 EST
metrics-3.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/metrics-3.0.1-1.fc20
Comment 13 Fedora Update System 2013-12-22 00:39:09 EST
metrics-3.0.1-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-12-30 00:00:18 EST
metrics-3.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.